#pragma once

class IKpiConfig;
class IKpiConfigEnumerator;

struct kbguru2smf_Settings
{
    wchar_t szDllPath[MAX_PATH];//GuruGuruSMF4.dll のパス
};

BOOL  __fastcall kbguru2smf_EnumConfig(IKpiConfig* pConfig, IKpiConfigEnumerator* pEnumerator);
DWORD __fastcall kbguru2smf_ApplyConfig(IKpiConfig* pConfig,
    const wchar_t* cszSection, //セクション名
    const wchar_t* cszKey, //キー名
    INT64  nValue, //変更後の値(BOOL/INT の場合)
    double dValue, //変更後の値(FLOAT の場合)
    const wchar_t* cszValue);//変更後の値(文字列)

void __fastcall kbguru2smf_GetSettings(IKpiConfig* pConfig, kbguru2smf_Settings* pSettings);
